/**
 * Theme Name: Root child
 * Template:   root
 */

/**
 * WooCommerce customization begin
 */
.cart .quantity input {
    height: 36px;
}

.wc-block-components-button:not(.is-link),
.products .product .add_to_cart_button,
.summary.entry-summary .cart .single_add_to_cart_button {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    background-color: #5a80b1;
    color: #fff;
    text-decoration: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}
.wc-block-components-button:not(.is-link):hover,
.products .product .add_to_cart_button:hover,
.summary.entry-summary .cart .single_add_to_cart_button:hover {
    -webkit-box-shadow: inset 0 2px 10px rgba(0, 0, 0, .3);
    box-shadow: inset 0 2px 10px rgba(0, 0, 0, .3);
    color: #fff;
    background-color: #5a80b1;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {
    font-family: "Montserrat", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: bold;
    color: inherit;
}

.woocommerce .products ul,
.woocommerce ul.products {
    display: flex;
    flex-direction: row;
    align-items: stretch;
}
.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.woocommerce ul.products li.product a:first-of-type {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price {
    flex: 1 1 100%;
    display: flex;
    align-items: flex-end;
}

.woocommerce ul.products li.product .woocommerce-loop-category__title,
.woocommerce ul.products li.product .woocommerce-loop-product__title,
.woocommerce ul.products li.product h3 {
    font-weight: 500;
}

.woocommerce .products ul::after,
.woocommerce .products ul::before,
.woocommerce ul.products::after,
.woocommerce ul.products::before {
    content: unset;
}

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    float: none;
}


/**
 * Theme custom styles
 */
.dpl-custom-cart-button {
    position: relative;
}
.dpl-custom-cart-icon {
    width: 20px;
    height: auto;
}
.dpl-products-in-cart {
    background-color: #f4b81f;
    color: #000000;
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(10px, -5px);
    width: 15px;
    height: 15px;
    font-size: 12px !important;
}
.mobile-cart-button {
    width: 20px;
    position: absolute;
    top: 33px;
    right: 80px;
}

.footer-navigation ul li .removed-link,
.footer-navigation ul li a,
.main-navigation ul li .removed-link,
.main-navigation ul li a {
    padding: 18px;
}

.site-branding {
    padding: 28px 100px 20px 0;
}

@media screen and (min-width: 992px) {
    .mobile-cart-button {
        display: none;
    }
}

@media screen and (max-width: 991px) {
    .menu-main-menu-container .dpl-custom-cart-button.only-hamburger {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .woocommerce .products ul,
    .woocommerce ul.products {
        justify-content: space-between;
    }
}